//<script language="javascript" src="../../js/validar.js"></script>
// onsubmit="return Validar()"

function Validar()
	{
		//Validar fechas que la final sea mayor a la inicial
		var fechainicial = document.getElementById("fechaini").value;
		var fechafinal = document.getElementById("fechafin").value;

		if(Date.parse(fechafinal) < Date.parse(fechainicial)) {
        alert("La FECHA FINAL debe ser mayor a la FECHA INICIAL");
        document.getElementById("fechafin").style.backgroundColor = "#fed2d7";
        document.getElementById("fechafin").focus();
		return false;
        }

        return true;
    }

//Parametros Reporte Estado de Resultados
function Validar2()
{
    var compa = document.getElementsByName('comparativo');
    console.log(compa.length);
    for(i=0; i<compa.length; i++){
        if(compa[i].checked){
            var comparativo = compa[i].value;
            //alert(comparativo);
        }
    }
    
    //Validar fechas que la final sea mayor a la inicial
    if (comparativo == 0){
        var fechainicial = document.getElementById("fechaini").value;
        var fechafinal = document.getElementById("fechafin").value;

        if(Date.parse(fechafinal) < Date.parse(fechainicial)) {
        alert("La FECHA FINAL debe ser mayor a la FECHA INICIAL");
        document.getElementById("fechafin").style.backgroundColor = "#fed2d7";
        document.getElementById("fechafin").focus();
        return false;
        }
    }
    
    //Validar fechas que el mes y año final sea mayor al mes y año inicial
    if (comparativo == 1){
        var fechainicialano = document.getElementById("fechaano_ini").value;
        var fechafinalano = document.getElementById("fechaano_fin").value;

        var fechainicialmes = document.getElementById("fechames_ini").value;
        var fechafinalmes = document.getElementById("fechames_fin").value;

        if(fechafinalano < fechainicialano) {
        alert("El AÑO FINAL debe ser mayor al AÑO INICIAL");
        document.getElementById("fechaano_fin").style.backgroundColor = "#fed2d7";
        document.getElementById("fechaano_fin").focus();
        return false;
        }

        if(fechafinalmes < fechainicialmes) {
        alert("El MES FINAL debe ser mayor al MES INICIAL");
        document.getElementById("fechames_fin").style.backgroundColor = "#fed2d7";
        document.getElementById("fechames_fin").focus();
        return false;
        }
    }

    return true;
}

//Parametros Reporte Personas
function Validar3()
	{
		//Validar fechas nacimiento y contratacion
        var fechainicialnac = document.getElementById("fechaini_nac").value;
		var fechafinalnac = document.getElementById("fechafin_nac").value;

		if(Date.parse(fechafinalnac) < Date.parse(fechainicialnac)) {
        alert("La FECHA FINAL DE NACIMIENTO debe ser mayor a la FECHA INICIAL DE NACIMIENTO");
        document.getElementById("fechafin_nac").style.backgroundColor = "#fed2d7";
        document.getElementById("fechafin_nac").focus();
		return false;
        }

        var fechainicialcont = document.getElementById("fechaini_cont").value;
		var fechafinalcont = document.getElementById("fechafin_cont").value;

		if(Date.parse(fechafinalcont) < Date.parse(fechainicialcont)) {
        alert("La FECHA FINAL DE CONTRATACIÓN debe ser mayor a la FECHA INICIAL DE CONTRATACIÓN");
        document.getElementById("fechafin_cont").style.backgroundColor = "#fed2d7";
        document.getElementById("fechafin_cont").focus();
		return false;
        }

		return true;
    }

//Parametros Reporte Bonos y Descuentos
function Validar4()
{
    //Validar fechas que el mes y año final sea mayor al mes y año inicial
    
    var fechainicialano = document.getElementById("anoini").value;
    var fechafinalano = document.getElementById("anofin").value;
    
    if(fechafinalano < fechainicialano) {
    alert("El AÑO FINAL debe ser mayor al AÑO INICIAL");
    document.getElementById("anofin").style.backgroundColor = "#fed2d7";
    document.getElementById("anofin").focus();
    return false;
    }

    var fechainicialmes = document.getElementById("mesini").value;
    var fechafinalmes = document.getElementById("mesfin").value;

    if(fechafinalmes < fechainicialmes) {
    alert("El MES FINAL debe ser mayor al MES INICIAL");
    document.getElementById("mesfin").style.backgroundColor = "#fed2d7";
    document.getElementById("mesfin").focus();
    return false;
    }

    return true;
}